KIO Link
KIO Link XC APIKIO Link APIKIO BMS
Huawei BMSHuawei Alert
KIO Link XC APIKIO Link APIKIO BMS
Huawei BMSHuawei Alert
  1. Sign In
  • Auth
    • Sign In
      • Sign in with username
        POST
    • Session
      • Sign out
    • API Keys
      • Create my API key
      • List my API keys
      • Get my API key
      • Update my API key
      • Delete my API key
  • BMS
    • North
      • Get latest device data
      • Get latest alarms
      • Get EcoStruxure data
      • List devices
      • Count points
      • Count points per device
  • Schemas
    • Auth
      • SystemRole
      • OrganizationRole
      • OtpType
      • User
      • Session
      • SessionWithUser
      • TokenWithUser
      • SignInResponse
      • TwoFactorChallenge
      • AccountSummary
      • Passkey
      • WebAuthnCredential
      • ApiKey
      • ApiKeyWithSecret
      • Organization
      • Member
      • MemberWithUser
      • FullOrganization
      • OrganizationPermissions
      • SystemPermissions
      • PermissionCheckResult
    • BMS
      • ServiceDescriptor
      • SiteStatus
      • DeviceListRequest
      • LegacyDeviceListError
      • DeviceListResponse
      • DevicePoint
      • DeviceSnapshot
      • OnlineDataResponse
      • Alarm
      • OnlineAlarmResponse
      • PointsResponse
      • PointsForDeviceResponse
      • FileIngestionResult
      • EcoStruxureIngestionResult
      • EnteliCloudIngestionAccepted
      • PanelResult
      • PanelError
      • DeviceConnectionFields
      • CreateDeviceConnectionRequest
      • UpdateDeviceConnectionRequest
      • DeviceConnection
      • DeviceConnectionEnvelope
      • DeviceConnectionList
      • EnteliCloudConnectionName
      • CreateEnteliCloudConnectionRequest
      • EnteliCloudConnection
      • EnteliCloudConnectionEnvelope
      • EnteliCloudConnectionList
  1. Sign In

Sign in with username

QA Environment
QA Environment
POST
/api/auth/sign-in/username
Auth/Sign In
Last modified:2026-09-30 06:23:27
Maintainer:José María Esparza Arévalo
Required Permission(s):NONE
Signs in with username (case-insensitive) and password and sets the session cookie. If the user has 2FA enabled, returns TwoFactorChallenge instead of a session. Banned users get 403 BANNED_USER.

Request

Authorization
API Key
Add parameter in cookie
kio-link-bms.session_token
Example:
kio-link-bms.session_token: ********************
or
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "username": "string",
    "password": "pa$$word",
    "rememberMe": true
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/auth/sign-in/username' \
--header 'Origin: {{bmsOrigin}}' \
--header 'Content-Type: application/json' \
--data '{
    "username": "string",
    "password": "pa$$word",
    "rememberMe": true
}'

Responses

🟢200
application/json
Success
Bodyapplication/json

Example
{
    "redirect": false,
    "token": "string",
    "url": "string",
    "user": {
        "id": "string",
        "name": "string",
        "email": "user@example.com",
        "emailVerified": true,
        "image": "string",
        "username": "string",
        "displayUsername": "string",
        "twoFactorEnabled": true,
        "role": "superAdmin",
        "banned": true,
        "banReason": "string",
        "banExpires": "2019-08-24T14:15:22.123Z",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "updatedAt": "2019-08-24T14:15:22.123Z"
    }
}
🟠400AuthBadRequest
🟠401AuthUnauthorized
🟠403AuthForbidden
🟠429AuthTooManyRequests
Modified at 2026-09-30 06:23:27
Next
Sign out
Built with